summaryrefslogtreecommitdiff
path: root/plugins/MirOTR/ekhtml/testsuite/test_basic.sh
diff options
context:
space:
mode:
authorKirill Volinsky <mataes2007@gmail.com>2012-05-19 18:01:32 +0000
committerKirill Volinsky <mataes2007@gmail.com>2012-05-19 18:01:32 +0000
commitb1509f22892dc98057c750e7fae39ded5cea3b09 (patch)
tree6bdcc9379ae86339a67022b758575729d1304074 /plugins/MirOTR/ekhtml/testsuite/test_basic.sh
parente7a776a6f5ab323cd9dd824e815846ef268fa7f1 (diff)
added MirOTR
git-svn-id: http://svn.miranda-ng.org/main/trunk@83 1316c22d-e87f-b044-9b9b-93d7a3e3ba9c
Diffstat (limited to 'plugins/MirOTR/ekhtml/testsuite/test_basic.sh')
-rw-r--r--plugins/MirOTR/ekhtml/testsuite/test_basic.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/plugins/MirOTR/ekhtml/testsuite/test_basic.sh b/plugins/MirOTR/ekhtml/testsuite/test_basic.sh
new file mode 100644
index 0000000000..87d2e64690
--- /dev/null
+++ b/plugins/MirOTR/ekhtml/testsuite/test_basic.sh
@@ -0,0 +1,10 @@
+#! /bin/bash
+
+for i in `find tstpages -type f | sort`
+do
+ echo Testing page: $i
+ ./tester 1 < $i > ek.test
+ ./pyparser.py $i > py.test
+ diff -a -i -u ek.test py.test || exit 1
+done
+